import request from '/@/utils/request';

export function recordApi() {
    return {
        // v1
        getRecordList: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/prevent/checkTask/select/getTaskPage`,
                method: 'post',
                data: data
            });
        },

        // v1
        submitRecord: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/prevent/checkTask/update/updateTask`,
                method: 'post',
                data: data
            });
        },

        getTask: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/prevent/checkTask/update/taskToUser`,
                method: 'post',
                data: data
            });
        }
    };
}
